<?php
class my_del_path
{
function delpath($del_path)
{
if(!file_exists($del_path))//如果目标目录不存在
{echo"目录不存在";return false;}
$hand=opendir($del_path);
$i=0;
while($file=readdir($hand))//读取该目录下的所有文件或文件夹
{
$i++;
if($i==1||$i==2)
{continue;}
if(!(strchr($file,".")))//如果是文件夹
{
$del_s_path=$del_path."/".$file;
$this->delpath($del_s_path);//遍历该文件夹
}
else //如果是文件
{
$del_file=$del_path."/".$file;
$this->del_the_file($del_file);//删除该文件
}
}
closedir($hand);
//$this->del_the_path($del_path);//删除该目录
return true;
}
//删除文件
function del_the_file($del_file)
{
unlink($del_file);
}
//删除目录
function del_the_path($del_path)
{
rmdir($del_path);
}
}

$Path1="../list/";
$del_path=new my_del_path();
if($del_path->delpath($Path1))
{
echo"清空缓存完毕".$Path1.'<br>';
}

$del_path=null;
?>
